upstream anyway {
    server 127.0.0.1:8000 max_fails=3 fail_timeout=10s;
    server 10.6.2.173:8000 max_fails=3 fail_timeout=10s;
    server 10.6.0.57:8000 max_fails=3 fail_timeout=10s;
    server 10.6.7.237:8000 max_fails=3 fail_timeout=10s;
}

server {
    listen 80;
    listen [::]:80;
    server_name
        {{ nginx_main_hostname }}
        {% for hostname in nginx_hostnames %}
            {{ hostname }}
        {% endfor %}
        ;

    {% if nginx_force_ssl %}
    location / {
        return 301 https://{{ nginx_main_hostname }}$request_uri;
    }
    {% else %}
    location / {
        proxy_pass http://anyway;
        include proxy_params;
        proxy_pass_header Server;
        proxy_redirect off;
        proxy_connect_timeout 10;
        proxy_read_timeout 120;
    }

    location /static/ {
        alias /var/www/anyway/static/;
        expires 30d;
    }
    {% endif %}

    access_log /var/log/nginx/anyway-access.log;
    error_log /var/log/nginx/anyway-error.log;

    include snippets/letsencrypt;
}

server {
    listen 443 ssl http2;
    listen [::]:443 ssl http2;
    server_name
        {{ nginx_main_hostname }}
        {% for hostname in nginx_hostnames %}
            {{ hostname }}
        {% endfor %}
        ;

    {% if nginx_ssl_deployed %}
    ssl_certificate /etc/letsencrypt/live/{{ nginx_main_hostname }}/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/{{ nginx_main_hostname }}/privkey.pem;
    {% endif %}
    include snippets/letsencrypt_ssl;

    location / {
        proxy_pass http://anyway;
        include proxy_params;
        proxy_pass_header Server;
        proxy_redirect off;
        proxy_connect_timeout 10;
        proxy_read_timeout 120;
    }

    location /static/ {
        alias /var/www/anyway/static/;
        expires 30d;
    }

    access_log /var/log/nginx/anyway-access.log;
    error_log /var/log/nginx/anyway-error.log;

}
